Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory
Class BeanCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.factory.BeanCreationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BeanCreationNotAllowedException, BeanCurrentlyInCreationException, BeanIsAbstractException, UnsatisfiedDependencyException

    public class BeanCreationException

extends FatalBeanException

Exception thrown when a BeanFactory encounters an error when attempting to create a bean from a bean definition.

Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`BeanCreationException(String msg)` Create a new BeanCreationException.
`BeanCreationException(String beanName, String msg)` Create a new BeanCreationException.
`BeanCreationException(String resourceDescription, String beanName, String msg)` Create a new BeanCreationException.
`BeanCreationException(String resourceDescription, String beanName, String msg, Throwable cause)` Create a new BeanCreationException.
`BeanCreationException(String beanName, String msg, Throwable cause)` Create a new BeanCreationException.
`BeanCreationException(String msg, Throwable cause)` Create a new BeanCreationException.

Method Summary
`String` | `getBeanName()` Return the name of the bean requested, if any.
`String` | `getResourceDescription()` Return the description of the resource that the bean definition came from, if any.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, getMostSpecificCause, getRootCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanCreationException

    public BeanCreationException(String msg)

  Create a new BeanCreationException.

  Parameters:
    `msg` - the detail message

### BeanCreationException

    public BeanCreationException(String msg,
                                 Throwable cause)

  Create a new BeanCreationException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

### BeanCreationException

    public BeanCreationException(String beanName,
                                 String msg)

  Create a new BeanCreationException.

  Parameters:
    `beanName` - the name of the bean requested
    `msg` - the detail message

### BeanCreationException

    public BeanCreationException(String beanName,
                                 String msg,
                                 Throwable cause)

  Create a new BeanCreationException.

  Parameters:
    `beanName` - the name of the bean requested
    `msg` - the detail message
    `cause` - the root cause

### BeanCreationException

    public BeanCreationException(String resourceDescription,
                                 String beanName,
                                 String msg)

  Create a new BeanCreationException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `msg` - the detail message

### BeanCreationException

    public BeanCreationException(String resourceDescription,
                                 String beanName,
                                 String msg,
                                 Throwable cause)

  Create a new BeanCreationException.

  Parameters:
    `resourceDescription` - description of the resource that the bean definition came from
    `beanName` - the name of the bean requested
    `msg` - the detail message
    `cause` - the root cause

Method Detail

### getBeanName

    public String getBeanName()

  Return the name of the bean requested, if any.

### getResourceDescription

    public String getResourceDescription()

  Return the description of the resource that the bean definition came from, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.